## org.apache.lucene.analysis.phonetic
Class PhoneticFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.phonetic.PhoneticFilter

All Implemented Interfaces:
  Closeable

    public final class PhoneticFilter

extends TokenFilter

Create tokens for phonetic matches.

See Also:
  Apache Commons Codec

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary
`protected org.apache.commons.codec.Encoder` `encoder` phonetic encoder
`protected boolean` `inject` true if encoded tokens should be added as synonyms
`protected AttributeSource.State` `save` captured state, non-null when `inject=true` and a token is buffered

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`PhoneticFilter(TokenStream in, org.apache.commons.codec.Encoder encoder, boolean inject)` Creates a PhoneticFilter with the specified encoder, and either adding encoded forms as synonyms (`inject=true`) or replacing them.

Method Summary
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inject

    protected boolean inject

  true if encoded tokens should be added as synonyms

### encoder

    protected org.apache.commons.codec.Encoder encoder

  phonetic encoder

### save

    protected AttributeSource.State save

  captured state, non-null when `inject=true` and a token is buffered

Constructor Detail

### PhoneticFilter

    public PhoneticFilter(TokenStream in,
                          org.apache.commons.codec.Encoder encoder,
                          boolean inject)

  Creates a PhoneticFilter with the specified encoder, and either adding encoded forms as synonyms (`inject=true`) or replacing them.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `TokenFilter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.